#include <bits/stdc++.h>
using namespace std;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

int n;
cin >>n;
vector <int> Count[2];
Count[0].resize(n);
Count[1].resize(n);
for(int i=0;i<n;i++){
    int x,y;
    cin >>x>>y;
    Count[0][x-1]++;
    Count[1][y-1]++;
}
stack<int> X1[2],X2[2];
int rez=0;
for(int lvl=0;lvl<2;lvl++){
    for(int i=n-1;i>=0;i--){
        if(Count[lvl][i]>1)X2[lvl].push(i);
    }

    for(int i=0;i<n;i++){
        if(X2[lvl].empty()&&X1[lvl].empty()){
            break;
        }
        bool MORA=false;
        if(X2[lvl].empty()){
            MORA=true;
        }
        int t2=-1;
        if(!MORA){
        int t2=X2[lvl].top();
        if(Count[lvl][i]>0){
            if(t2==i){
                X2[lvl].pop();
                X1[lvl].push(t2);
            }
            continue;
        }

        if(X1[lvl].empty()){

           Count[lvl][i]++;
           Count[lvl][t2]--;
           if(Count[lvl][t2]==1)X2[lvl].pop();
           rez+=abs(t2-i);

           continue;
        }
        }
        int t1=X1[lvl].top();
        if(MORA||1){
            Count[lvl][i]++;
            Count[lvl][t1]--;
            if(Count[lvl][t1]==1)X1[lvl].pop();
            rez+=abs(t1-i);

            continue;
        }
        if(!MORA){
        Count[lvl][i]++;
        Count[lvl][t2]--;
        if(Count[lvl][t2]==1)X2[lvl].pop();
        rez+=abs(t2-i);
        }


    }
}
    cout <<rez<<endl;
}